From c9414511ee57ad0b4e0c3f9d21fe82e4c89af51b Mon Sep 17 00:00:00 2001
From: Antonio Huete Jimenez <tuxillo@quantumachine.net>
Date: Sat, 13 Feb 2010 02:32:30 +0100
Subject: [PATCH] sys/boot - ofw and efi used by other architectures that we do not support.

---
 sys/boot/Makefile                           |   12 -
 sys/boot/efi/Makefile                       |    6 -
 sys/boot/efi/Makefile.inc                   |    5 -
 sys/boot/efi/include/README                 |   36 -
 sys/boot/efi/include/efi.h                  |   52 --
 sys/boot/efi/include/efi_nii.h              |   85 ---
 sys/boot/efi/include/efiapi.h               |  707 --------------------
 sys/boot/efi/include/eficon.h               |  302 ---------
 sys/boot/efi/include/efidebug.h             |  108 ---
 sys/boot/efi/include/efidef.h               |  192 ------
 sys/boot/efi/include/efidevp.h              |  394 -----------
 sys/boot/efi/include/efierr.h               |   63 --
 sys/boot/efi/include/efifpswa.h             |   43 --
 sys/boot/efi/include/efifs.h                |  119 ----
 sys/boot/efi/include/efilib.h               |   39 --
 sys/boot/efi/include/efinet.h               |  264 --------
 sys/boot/efi/include/efipart.h              |   61 --
 sys/boot/efi/include/efiprot.h              |  554 ----------------
 sys/boot/efi/include/efipxebc.h             |  462 -------------
 sys/boot/efi/include/efiser.h               |  135 ----
 sys/boot/efi/include/efistdarg.h            |   35 -
 sys/boot/efi/include/i386/efibind.h         |  252 -------
 sys/boot/efi/include/i386/pe.h              |  595 -----------------
 sys/boot/efi/include/ia64/efibind.h         |  153 -----
 sys/boot/efi/include/ia64/pe.h              |  601 -----------------
 sys/boot/efi/libefi/Makefile                |   40 --
 sys/boot/efi/libefi/arch/ia64/ldscript.ia64 |   76 ---
 sys/boot/efi/libefi/arch/ia64/start.S       |  306 ---------
 sys/boot/efi/libefi/bootinfo.c              |  349 ----------
 sys/boot/efi/libefi/copy.c                  |   67 --
 sys/boot/efi/libefi/delay.c                 |   46 --
 sys/boot/efi/libefi/devicename.c            |  240 -------
 sys/boot/efi/libefi/efi_console.c           |   97 ---
 sys/boot/efi/libefi/efiboot.h               |   95 ---
 sys/boot/efi/libefi/efifpswa.c              |   60 --
 sys/boot/efi/libefi/efifs.c                 |  402 ------------
 sys/boot/efi/libefi/efinet.c                |  268 --------
 sys/boot/efi/libefi/elf_freebsd.c           |  226 -------
 sys/boot/efi/libefi/libefi.c                |  187 ------
 sys/boot/efi/libefi/module.c                |   39 --
 sys/boot/efi/libefi/time.c                  |  222 -------
 sys/boot/efi/loader/Makefile                |  124 ----
 sys/boot/efi/loader/conf.c                  |   93 ---
 sys/boot/efi/loader/main.c                  |  562 ----------------
 sys/boot/efi/loader/version                 |   17 -
 sys/boot/ofw/Makefile                       |    6 -
 sys/boot/ofw/common/Makefile.inc            |    4 -
 sys/boot/ofw/common/main.c                  |  163 -----
 sys/boot/ofw/libofw/Makefile                |   33 -
 sys/boot/ofw/libofw/devicename.c            |  127 ----
 sys/boot/ofw/libofw/elf_freebsd.c           |   89 ---
 sys/boot/ofw/libofw/libofw.h                |   74 ---
 sys/boot/ofw/libofw/ofw_console.c           |  127 ----
 sys/boot/ofw/libofw/ofw_copy.c              |  111 ----
 sys/boot/ofw/libofw/ofw_disk.c              |  127 ----
 sys/boot/ofw/libofw/ofw_memory.c            |  101 ---
 sys/boot/ofw/libofw/ofw_module.c            |   49 --
 sys/boot/ofw/libofw/ofw_net.c               |  261 --------
 sys/boot/ofw/libofw/ofw_reboot.c            |   37 -
 sys/boot/ofw/libofw/ofw_time.c              |   61 --
 sys/boot/ofw/libofw/openfirm.c              |  943 ---------------------------
 sys/boot/ofw/libofw/openfirm.h              |  129 ----
 62 files changed, 0 insertions(+), 11233 deletions(-)
 delete mode 100644 sys/boot/efi/Makefile
 delete mode 100644 sys/boot/efi/Makefile.inc
 delete mode 100644 sys/boot/efi/include/README
 delete mode 100644 sys/boot/efi/include/efi.h
 delete mode 100644 sys/boot/efi/include/efi_nii.h
 delete mode 100644 sys/boot/efi/include/efiapi.h
 delete mode 100644 sys/boot/efi/include/eficon.h
 delete mode 100644 sys/boot/efi/include/efidebug.h
 delete mode 100644 sys/boot/efi/include/efidef.h
 delete mode 100644 sys/boot/efi/include/efidevp.h
 delete mode 100644 sys/boot/efi/include/efierr.h
 delete mode 100644 sys/boot/efi/include/efifpswa.h
 delete mode 100644 sys/boot/efi/include/efifs.h
 delete mode 100644 sys/boot/efi/include/efilib.h
 delete mode 100644 sys/boot/efi/include/efinet.h
 delete mode 100644 sys/boot/efi/include/efipart.h
 delete mode 100644 sys/boot/efi/include/efiprot.h
 delete mode 100644 sys/boot/efi/include/efipxebc.h
 delete mode 100644 sys/boot/efi/include/efiser.h
 delete mode 100644 sys/boot/efi/include/efistdarg.h
 delete mode 100644 sys/boot/efi/include/i386/efibind.h
 delete mode 100644 sys/boot/efi/include/i386/pe.h
 delete mode 100644 sys/boot/efi/include/ia64/efibind.h
 delete mode 100644 sys/boot/efi/include/ia64/pe.h
 delete mode 100644 sys/boot/efi/libefi/Makefile
 delete mode 100644 sys/boot/efi/libefi/arch/ia64/ldscript.ia64
 delete mode 100644 sys/boot/efi/libefi/arch/ia64/start.S
 delete mode 100644 sys/boot/efi/libefi/bootinfo.c
 delete mode 100644 sys/boot/efi/libefi/copy.c
 delete mode 100644 sys/boot/efi/libefi/delay.c
 delete mode 100644 sys/boot/efi/libefi/devicename.c
 delete mode 100644 sys/boot/efi/libefi/efi_console.c
 delete mode 100644 sys/boot/efi/libefi/efiboot.h
 delete mode 100644 sys/boot/efi/libefi/efifpswa.c
 delete mode 100644 sys/boot/efi/libefi/efifs.c
 delete mode 100644 sys/boot/efi/libefi/efinet.c
 delete mode 100644 sys/boot/efi/libefi/elf_freebsd.c
 delete mode 100644 sys/boot/efi/libefi/libefi.c
 delete mode 100644 sys/boot/efi/libefi/module.c
 delete mode 100644 sys/boot/efi/libefi/time.c
 delete mode 100644 sys/boot/efi/loader/Makefile
 delete mode 100644 sys/boot/efi/loader/conf.c
 delete mode 100644 sys/boot/efi/loader/main.c
 delete mode 100644 sys/boot/efi/loader/version
 delete mode 100644 sys/boot/ofw/Makefile
 delete mode 100644 sys/boot/ofw/common/Makefile.inc
 delete mode 100644 sys/boot/ofw/common/main.c
 delete mode 100644 sys/boot/ofw/libofw/Makefile
 delete mode 100644 sys/boot/ofw/libofw/devicename.c
 delete mode 100644 sys/boot/ofw/libofw/elf_freebsd.c
 delete mode 100644 sys/boot/ofw/libofw/libofw.h
 delete mode 100644 sys/boot/ofw/libofw/ofw_console.c
 delete mode 100644 sys/boot/ofw/libofw/ofw_copy.c
 delete mode 100644 sys/boot/ofw/libofw/ofw_disk.c
 delete mode 100644 sys/boot/ofw/libofw/ofw_memory.c
 delete mode 100644 sys/boot/ofw/libofw/ofw_module.c
 delete mode 100644 sys/boot/ofw/libofw/ofw_net.c
 delete mode 100644 sys/boot/ofw/libofw/ofw_reboot.c
 delete mode 100644 sys/boot/ofw/libofw/ofw_time.c
 delete mode 100644 sys/boot/ofw/libofw/openfirm.c
 delete mode 100644 sys/boot/ofw/libofw/openfirm.h

diff --git a/sys/boot/Makefile b/sys/boot/Makefile
index 9beebbe..ff97835 100644
--- a/sys/boot/Makefile
+++ b/sys/boot/Makefile
@@ -5,22 +5,10 @@
 .MAKEFLAGS:  MACHINE_ARCH=i386 MACHINE_PLATFORM=pc32 REALLY_X86_64=true
 .endif
 
-.if !defined(NOFORTH) && ${MACHINE_ARCH} != "powerpc"
 # Build the add-in FORTH interpreter
 SUBDIR+=		ficl
-.endif
-
-# Build OpenFirmware library
-.if ${MACHINE_ARCH} == "powerpc" || ${MACHINE_ARCH} == "sparc64"
-SUBDIR+=		ofw
-.endif
 
 # Pick the machine-dependant subdir based on the target architecture.
 SUBDIR+=		${MACHINE_PLATFORM}
 
-# Build EFI executable on ia64
-.if ${MACHINE_ARCH} == "ia64"
-SUBDIR+=		efi
-.endif
-
 .include <bsd.subdir.mk>
